# Interface FieldJson

Contains information about an attribute field. This field could come from a feature collection or a single layer in a map service. Used in layerDefinition.

See https://developers.arcgis.com/web-map-specification/objects/field/ https://developers.arcgis.com/web-scene-specification/objects/field/.

interface FieldJson {
alias?: string;
domain?: DomainJson;
editable?: boolean;
exactMatch?: boolean;
length?: number;
name: string;
nullable?: boolean;
type?: FieldJsonType;
visible?: boolean;
}

#####
Index

### Properties

alias?
domain?
editable?
exactMatch?
length?
name
nullable?
type?
visible?

##
Properties

### `Optional` alias

alias?: string

The field alias (human-readable name).

### `Optional` domain

domain?: DomainJson

A domain object that provides the attribute domain information for the field, if a domain exists.

### `Optional` editable

editable?: boolean

Whether this field is editable.

### `Optional` exactMatch

exactMatch?: boolean

A Boolean defining whether or not the field is an exact match.

### `Optional` length

length?: number

A number defining how many characters are allowed in a string field.

### name

name: string

A string defining the field name.

### `Optional` nullable

nullable?: boolean

Whether this field can have a null value.

### `Optional` type

type?: FieldJsonType

Type of the Field. See FieldJsonType.

### `Optional` visible

visible?: boolean

.